Dan Nelson wrote:

In the last episode (Sep 19), Berk Gulenler said:
  

 Dan Nelson wrote:

In the last episode (Sep 19), Berk Gulenler said:
    

I'm trying to install pam_ldap 1.84 to FreeBSD version 6.3 AMD64. But
I'm getting this error message from gmake compiler. I think the
problem is an undeclared function. About this any help would be
appreciated.

Related log:

gcc -DHAVE_CONFIG_H   -I/usr/local/include -DLDAP_REFERRALS -DLDAP_DEPRECATED -
DPIC -D_REENTRANT  -g -O2 -Wall -fPIC -c pam_ldap.c
pam_ldap.c:3569: error: `PAM_AUTHTOK_RECOVER_ERR' undeclared (first use in this
 function)
pam_ldap.c:3569: error: (Each undeclared identifier is reported only once
pam_ldap.c:3569: error: for each function it appears in.)

Are you building the security/pam_ldap port?  That should build with no
errors.
      

   No I'm not trying to build it from port tree because the ports
   says my openldap version is not compatible with pam_ldap (a new
   version is required). But I have to use an older version of
   openldap so, I'm trying to compile pam_ldap for my self. Thanks.
    

Try editing /etc/make.conf and put

WANT_OPENLDAP_VER=23

and see if the port builds.

  

   Yes it is working but I already installed openldap version 2.2.6. If
   I'm gonna install it from ports it will overwrite my openldap client
   libraries. I am trying to install pam_ldap with openldap 2.2.6.
   Thanks.
-- 
Berk Gulenler
System Administrator
Bogazici University Computer Center

Phone:  +90 212 359 47 20
Fax:    +90 212 257 50 21
E-mail: [EMAIL PROTECTED]

References

   1. mailto:[EMAIL PROTECTED]
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to